#include "xmaterialargumentdef.h"

XMaterialArgumentDef::XMaterialArgumentDef()
    : XAsset()
    , mLiteralConst(nullptr)
    , mCodeConst()
    , mCodeSampler(0)
    , mNameHash(0)
{
    
}

void XMaterialArgumentDef::Clear()
{
    
}

void XMaterialArgumentDef::ParseData(QDataStream *aStream)
{
    
}
